## empire 1.2

=== Makefile ===
# %W% %G% %U% - (c) Copyright 1987, 1988 Chuck Simmons

#
#    Copyright (C) 1987, 1988 Chuck Simmons
#
# See the file COPYING, distributed with empire, for restriction
# and warranty information.

# Note: When the version changes, you also have to change
# the RPM spec file and the LSM.
VERS=1.2

# Change the line below for your system.  If you are on a Sun or Vax,
# you may want BSD.

#SYS = BSD
SYS = SYSV

# Use -g to compile the program for debugging.

DEBUG = -g -DDEBUG
#DEBUG = -O

# Use -p to profile the program.
#PROFILE = -p -DPROFILE
PROFILE =

# Define all necessary libraries.  'curses' is necessary.  'termcap'
# is needed on BSD systems.
LIBS = -lncurses
#LIBS = -lcurses -ltermcap

# You shouldn't have to modify anything below this line.

CFLAGS = $(DEBUG) $(PROFILE) -D$(SYS)

FILES = \
	attack.c \
	compmove.c \
	data.c \
	display.c \
	edit.c \
	empire.c \
	game.c \
	main.c \
	map.c \
	math.c \
	object.c \
	term.c \
	usermove.c \
	util.c

HEADERS = empire.h extern.h

OFILES = \
	attack.o \
	compmove.o \
	data.o \
	display.o \
	edit.o \
	empire.o \
	game.o \
	main.o \
	map.o \
	math.o \
	object.o \
	term.o \
	usermove.o \
	util.o

all: vms-empire

vms-empire: $(OFILES)
	$(CC) $(PROFILE) -o vms-empire $(OFILES) $(LIBS)

TAGS: $(HEADERS) $(FILES)
	etags $(HEADERS) $(FILES)

lint: $(FILES)
	lint -u -D$(SYS) $(FILES) -lcurses

clean:
	rm -f *.o TAGS

clobber: clean
	rm -f vms-empire vms-empire-*.tar*

SOURCES = READ.ME vms-empire.6 COPYING Makefile BUGS $(FILES) $(HEADERS) MANIFEST vms-empire.lsm vms-empire.spec

vms-empire-$(VERS).tar.gz: $(SOURCES)
	@ls $(SOURCES) | sed s:^:vms-empire-$(VERS)/: >MANIFEST
	@(cd ..; ln -s vms-empire vms-empire-$(VERS))
	(cd ..; tar -czvf vms-empire/vms-empire-$(VERS).tar.gz `cat vms-empire/MANIFEST`)
	@(cd ..; rm vms-empire-$(VERS))

vms-empire-$(VERS).shar:
	shar $(SOURCES) >vms-empire-$(VERS).shar

dist: vms-empire-$(VERS).tar.gz

RPMROOT=/usr/src/redhat
RPM = rpm
RPMFLAGS = -ba
rpm: dist
	cp vms-empire-$(VERS).tar.gz $(RPMROOT)/SOURCES;
	cp vms-empire.spec $(RPMROOT)/SPECS
	cd $(RPMROOT)/SPECS; $(RPM) $(RPMFLAGS) vms-empire.spec	
	cp $(RPMROOT)/RPMS/`arch|sed 's/i[4-9]86/i386/'`/vms-empire-$(VERS)*.rpm .
	cp $(RPMROOT)/SRPMS/vms-empire-$(VERS)*.src.rpm .

## empire 1.6

=== Makefile ===
--- 
+++ 
@@ -6,29 +6,25 @@
 # See the file COPYING, distributed with empire, for restriction
 # and warranty information.
 
-# Note: When the version changes, you also have to change
-# the RPM spec file and the LSM.
-VERS=1.2
+VERS=$(shell sed <vms-empire.spec -n -e '/Version: \(.*\)/s//\1/p')
 
 # Change the line below for your system.  If you are on a Sun or Vax,
 # you may want BSD.
 
+SYS = LINUX
 #SYS = BSD
-SYS = SYSV
+#SYS = SYSV
 
 # Use -g to compile the program for debugging.
 
-DEBUG = -g -DDEBUG
-#DEBUG = -O
+#DEBUG = -g -DDEBUG -Wall
+DEBUG = -O2
 
 # Use -p to profile the program.
 #PROFILE = -p -DPROFILE
 PROFILE =
 
-# Define all necessary libraries.  'curses' is necessary.  'termcap'
-# is needed on BSD systems.
 LIBS = -lncurses
-#LIBS = -lcurses -ltermcap
 
 # You shouldn't have to modify anything below this line.
 
@@ -80,26 +76,23 @@
 	lint -u -D$(SYS) $(FILES) -lcurses
 
 clean:
-	rm -f *.o TAGS
+	rm -f *.o TAGS vms-empire
 
 clobber: clean
 	rm -f vms-empire vms-empire-*.tar*
 
-SOURCES = READ.ME vms-empire.6 COPYING Makefile BUGS $(FILES) $(HEADERS) MANIFEST vms-empire.lsm vms-empire.spec
+SOURCES = README NEWS vms-empire.6 COPYING Makefile BUGS AUTHORS $(FILES) $(HEADERS) MANIFEST vms-empire.spec
 
-vms-empire-$(VERS).tar.gz: $(SOURCES)
-	@ls $(SOURCES) | sed s:^:vms-empire-$(VERS)/: >MANIFEST
+vms-empire-$(VERS).tar.gz: $(SOURCES) vms-empire.6
+	@ls $(SOURCES) vms-empire.6 | sed s:^:vms-empire-$(VERS)/: >MANIFEST
 	@(cd ..; ln -s vms-empire vms-empire-$(VERS))
 	(cd ..; tar -czvf vms-empire/vms-empire-$(VERS).tar.gz `cat vms-empire/MANIFEST`)
 	@(cd ..; rm vms-empire-$(VERS))
 
-vms-empire-$(VERS).shar:
-	shar $(SOURCES) >vms-empire-$(VERS).shar
-
 dist: vms-empire-$(VERS).tar.gz
 
 RPMROOT=/usr/src/redhat
-RPM = rpm
+RPM = rpmbuild
 RPMFLAGS = -ba
 rpm: dist
 	cp vms-empire-$(VERS).tar.gz $(RPMROOT)/SOURCES;

## empire 1.7

=== Makefile ===
--- 
+++ 
@@ -84,22 +84,12 @@
 SOURCES = README NEWS vms-empire.6 COPYING Makefile BUGS AUTHORS $(FILES) $(HEADERS) MANIFEST vms-empire.spec
 
 vms-empire-$(VERS).tar.gz: $(SOURCES) vms-empire.6
-	@ls $(SOURCES) vms-empire.6 | sed s:^:vms-empire-$(VERS)/: >MANIFEST
+	@ls $(SOURCES) | sed s:^:vms-empire-$(VERS)/: >MANIFEST
 	@(cd ..; ln -s vms-empire vms-empire-$(VERS))
 	(cd ..; tar -czvf vms-empire/vms-empire-$(VERS).tar.gz `cat vms-empire/MANIFEST`)
 	@(cd ..; rm vms-empire-$(VERS))
 
 dist: vms-empire-$(VERS).tar.gz
 
-RPMROOT=/usr/src/redhat
-RPM = rpmbuild
-RPMFLAGS = -ba
-rpm: dist
-	cp vms-empire-$(VERS).tar.gz $(RPMROOT)/SOURCES;
-	cp vms-empire.spec $(RPMROOT)/SPECS
-	cd $(RPMROOT)/SPECS; $(RPM) $(RPMFLAGS) vms-empire.spec	
-	cp $(RPMROOT)/RPMS/`arch|sed 's/i[4-9]86/i386/'`/vms-empire-$(VERS)*.rpm .
-	cp $(RPMROOT)/SRPMS/vms-empire-$(VERS)*.src.rpm .
-
-
-
+release: vms-empire-$(VERS).tar.gz
+	shipper -f; rm -f CHANGES ANNOUNCE* *.6 *.html *.rpm *.lsm MANIFEST

## empire 1.11

=== Makefile ===
#
#    Copyright (C) 1987, 1988 Chuck Simmons
#
# See the file COPYING, distributed with empire, for restriction
# and warranty information.

VERS=1.11

# Use -g to compile the program for debugging.
#DEBUG = -g -DDEBUG
DEBUG = -O2

# Use -p to profile the program.
#PROFILE = -p -DPROFILE
PROFILE =

LIBS = -lncurses

# You shouldn't have to modify anything below this line.

# There's a dynamic format in the object-display routines; suppress the warning
CFLAGS = $(DEBUG) $(PROFILE) -Wall -Wno-format-security

FILES = \
	attack.c \
	compmove.c \
	data.c \
	display.c \
	edit.c \
	empire.c \
	game.c \
	main.c \
	map.c \
	math.c \
	object.c \
	term.c \
	usermove.c \
	util.c

HEADERS = empire.h extern.h

OFILES = \
	attack.o \
	compmove.o \
	data.o \
	display.o \
	edit.o \
	empire.o \
	game.o \
	main.o \
	map.o \
	math.o \
	object.o \
	term.o \
	usermove.o \
	util.o

all: vms-empire

vms-empire: $(OFILES)
	$(CC) $(PROFILE) -o vms-empire $(OFILES) $(LIBS)

attack.o:: extern.h empire.h
compmove.o:: extern.h empire.h
data.o:: empire.h
display.o:: extern.h empire.h
edit.o:: extern.h empire.h
empire.o:: extern.h empire.h
game.o:: extern.h empire.h
main.o:: extern.h empire.h
map.o:: extern.h empire.h
math.o:: extern.h empire.h
object.o:: extern.h empire.h
term.o:: extern.h empire.h
usermove.o:: extern.h empire.h
util.o:: extern.h empire.h

empire.6: vms-empire.xml
	xmlto man vms-empire.xml

vms-empire.html: vms-empire.xml
	xmlto html-nochunks vms-empire.xml

TAGS: $(HEADERS) $(FILES)
	etags $(HEADERS) $(FILES)

lint: $(FILES)
	lint -u -D$(SYS) $(FILES) -lcurses

# cppcheck should run clean
cppcheck:
	cppcheck --inline-suppr --suppress=unusedStructMember --suppress=unusedFunction  --template gcc --enable=all --force *.[ch]

clean:
	rm -f *.o TAGS vms-empire
	rm -f *.6 *.html

clobber: clean
	rm -f vms-empire vms-empire-*.tar*

SOURCES = README NEWS control empire.6 COPYING Makefile BUGS AUTHORS $(FILES) $(HEADERS) empire-logo.png

vms-empire-$(VERS).tar.gz: $(SOURCES)
	@ls $(SOURCES) | sed s:^:vms-empire-$(VERS)/: >MANIFEST
	@(cd ..; ln -s vms-empire vms-empire-$(VERS))
	(cd ..; tar -czf vms-empire/vms-empire-$(VERS).tar.gz `cat vms-empire/MANIFEST`)
	@(cd ..; rm vms-empire-$(VERS))

dist: vms-empire-$(VERS).tar.gz

release: vms-empire-$(VERS).tar.gz vms-empire.html
	shipper version=$(VERS) | sh -e -x

=== debian/changelog ===
empire (1.11-1) unstable; urgency=medium

  * New maintainer Debian Games Team.
    - Add myself to Uploaders. (Closes: #733320)
  * Imported Upstream version 1.11.
    - Fix several spelling errors in empire.6. Thanks to Bjarnig Ingi Gislason.
      (LP: #1070946)
    - Fix a typo in object.c that made a single city stop producing output.
      Thanks to the anonymous reporter. (Closes: #593434)
  * Switch to source format 3.0 (quilt).
  * Bump compat level to 9 and require debhelper >= 9. Add compat file.
  * Drop lintian.override.
  * Switch to dh-sequencer. Pass default build flags to upstream's Makefile.
  * Add manpages file.
  * debian/control:
    - Set priority from extra to optional.
    - Update package to Standards-Version 3.9.5.
    - Add VCS fields.
    - Add Homepage field.
    - Add ${misc:Depends} substvar.
    - Fix typo "they" in package description. (Closes: #668614)
    - Fix description-synopsis-starts-with-article.
  * Use install file to install the binary, icons and desktop file.
  * Drop dirs file. Not needed.
  * Add watch file. Thanks to Bart Martens.
  * Update debian/copyright to copyright format 1.0.
  * Add icon entry to menu file.
  * Install icons to /usr/share/pixmaps.
    - Convert to empire-logo.xpm with imagemagick at build time.
  * Add empire.desktop file.

 -- Markus Koschany <apo@gambaru.de>  Sun, 12 Jan 2014 10:41:53 +0100

empire (1.7-3) unstable; urgency=low

  * Move table header one to the right in battle probabilities
    in manpage (Closes: #383003).
  * Capitalise menu title (Closes: #357794).
  * Describe in brief that the interface is not a fancy GUI and that
    commands are to be entered with the keyboard in the package's
    description.
  * Change Standards-Version to 3.7.2.

 -- Peter Palfrader <weasel@debian.org>  Fri, 20 Oct 2006 21:56:00 +0200

empire (1.7-2) unstable; urgency=low

  * Update upstream url in debian/copyright.
  * Update FSF address in debian/copyright.
  * Increase standards-version to 3.6.2 from 3.6.1.
  * Change DH_COMPAT to 4, from 2. This or at least the rebuild with a
    recent debhelper will cause the menu fil to be installed in usr/share
    now. Of course also increase version in Build-Depends.
  * Some whitespace change in the manpage, so that a line does not start with
    "'empmovie".

 -- Peter Palfrader <weasel@debian.org>  Wed, 21 Sep 2005 03:29:45 +0200

empire (1.7-1) unstable; urgency=low

  * New upstream version.
  * Fix a FTBFS with gcc 4: Move the static void mark_cont() declaration
    outside of the good_cont() function definition (Closes: #298431).

 -- Peter Palfrader <weasel@debian.org>  Tue,  8 Mar 2005 21:51:39 +0100

empire (1.6-1) unstable; urgency=low

  * New upstream version.
  * Update standards version to 3.6.1.
  * Fix build dependency on debhelper: it needs to be versioned (>=2).

 -- Peter Palfrader <weasel@debian.org>  Sun, 25 Apr 2004 15:59:54 +0200

empire (1.3-2) unstable; urgency=low

  * New Standards-Version: 3.5.7
    - Have no /usr/doc link anymore (actually building against the new
      debhelper does fix this - I'll not depend on it tho to make
      building it on older releases easier)
    - Support noopt in DEB_BUILD_OPTIONS. debug is still supported
      and sets -DDEBUG. -g is always used.

 -- Peter Palfrader <weasel@debian.org>  Mon, 11 Nov 2002 13:18:11 +0100

empire (1.3-1) unstable; urgency=low

  * New upstream version.
    - Code and compiler warning cleanups.
  * Removed emacs stuff from Debian changelog.

 -- Peter Palfrader <weasel@debian.org>  Sun, 16 Jun 2002 08:35:21 +0200

empire (1.2-3) unstable; urgency=low

  * Fixed some spelling bugs (Thanks Matt Zimmerman).
  * Added lintian override for old-fsf-address-in-copyright-file
    (I mention the current address at the end of the copyright file).

 -- Peter Palfrader <weasel@debian.org>  Sat, 17 Nov 2001 17:06:11 +0100

empire (1.2-2) unstable; urgency=low

  * Appended a newline character to a message.
  * Added Build-Depends on debhelper and libncurses5-dev (Closes: #84503).
  * Upped Standards-Version to 3.5.0.0 (thus supporting DEB_BUILD_OPTIONS).
  * Changed maintainer email address.
  * Added a menu entry.

 -- Peter Palfrader <weasel@debian.org>  Fri,  2 Feb 2001 20:55:59 +0100

empire (1.2-1) unstable; urgency=low

  * Initial Release.

 -- Peter Palfrader <ppalfrad@cosy.sbg.ac.at>  Mon,  9 Oct 2000 22:01:35 +0200

=== debian/control ===
Source: empire
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@gambaru.de>
Build-Depends:
 debhelper (>=9),
 imagemagick,
 libncurses5-dev
Standards-Version: 3.9.5
Homepage: http://www.catb.org/~esr/vms-empire/
Vcs-Git: git://anonscm.debian.org/pkg-games/empire.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/empire.git

Package: empire
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: war game of the century
 Empire is a console game simulation of a full-scale war between two
 emperors, the computer and you. Naturally, there is only room for
 one, so the object of the game is to destroy the other.
 .
 The world on which the game takes place is a square rectangle containing
 cities, land and water. Cities are used to build armies, planes, and
 ships which can move across the world destroying enemy pieces, exploring,
 and capturing more cities.
 .
 The classic game from the 1980s uses text mode graphical output, drawing
 your units, cities and the world in color. Commands are issued using
 the keyboard.

=== debian/rules ===
#!/usr/bin/make -f
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS   := $(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS) -Wno-format-security
LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@ --parallel

override_dh_auto_build:
	$(MAKE) CFLAGS="$(CFLAGS)" PROFILE="$(LDFLAGS)"
	convert -monitor -resize 32x32 empire-logo.png empire-logo.xpm

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_install:
	mv vms-empire empire
	dh_install

override_dh_auto_clean:
	$(RM) *.o empire empire-logo.xpm

## empire 1.12

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # See the file COPYING, distributed with empire, for restriction
 # and warranty information.
 
-VERS=1.11
+VERS=1.12
 
 # Use -g to compile the program for debugging.
 #DEBUG = -g -DDEBUG
@@ -98,7 +98,7 @@
 clobber: clean
 	rm -f vms-empire vms-empire-*.tar*
 
-SOURCES = README NEWS control empire.6 COPYING Makefile BUGS AUTHORS $(FILES) $(HEADERS) empire-logo.png
+SOURCES = README HACKING NEWS control empire.6 vms-empire.xml COPYING Makefile BUGS AUTHORS $(FILES) $(HEADERS) empire-logo.png empire.desktop
 
 vms-empire-$(VERS).tar.gz: $(SOURCES)
 	@ls $(SOURCES) | sed s:^:vms-empire-$(VERS)/: >MANIFEST

=== debian/changelog ===
empire (1.12-1) unstable; urgency=medium

  * Imported Upstream version 1.12.
  * Install HACKING with docs file

 -- Markus Koschany <apo@gambaru.de>  Wed, 18 Jun 2014 11:17:15 +0200

## empire 1.13

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # See the file COPYING, distributed with empire, for restriction
 # and warranty information.
 
-VERS=1.12
+VERS=1.13
 
 # Use -g to compile the program for debugging.
 #DEBUG = -g -DDEBUG
@@ -91,6 +91,24 @@
 cppcheck:
 	cppcheck --inline-suppr --suppress=unusedStructMember --suppress=unusedFunction  --template gcc --enable=all --force *.[ch]
 
+install: empire.6 uninstall
+	install -m 0755 -d $(DESTDIR)/usr/bin
+	install -m 0755 -d $(DESTDIR)/usr/share/man/man6
+	install -m 0755 -d $(DESTDIR)/usr/share/applications/
+	install -m 0755 -d $(DESTDIR)/usr/share/icons/hicolor/48x48/apps/
+	install -m 0755 -d $(DESTDIR)/usr/share/appdata
+	install -m 0755 vms-empire $(DESTDIR)/usr/bin/
+	install -m 0644 empire.6 $(DESTDIR)/usr/share/man/man6/vms-empire.6
+	install -m 0644 vms-empire.desktop $(DESTDIR)/usr/share/applications/
+	install -m 0644 vms-empire.png $(DESTDIR)/usr/share/icons/hicolor/48x48/apps/
+	install -m 0644 vms-empire.xml $(DESTDIR)/usr/share/appdata/
+
+uninstall:
+	rm -f /usr/bin/vms-empire /usr/share/man/man6/vms-empire.6
+	rm -f /usr/share/applications/vms-empire.desktop
+	rm -f /usr/share/icons/hicolor/48x48/apps/vms-empire.png
+	rm -f /usr/share/appdata/vms-empire.xml
+
 clean:
 	rm -f *.o TAGS vms-empire
 	rm -f *.6 *.html
@@ -98,7 +116,7 @@
 clobber: clean
 	rm -f vms-empire vms-empire-*.tar*
 
-SOURCES = README HACKING NEWS control empire.6 vms-empire.xml COPYING Makefile BUGS AUTHORS $(FILES) $(HEADERS) empire-logo.png empire.desktop
+SOURCES = README HACKING NEWS control empire.6 vms-empire.xml COPYING Makefile BUGS AUTHORS $(FILES) $(HEADERS) vms-empire.png vms-empire.desktop
 
 vms-empire-$(VERS).tar.gz: $(SOURCES)
 	@ls $(SOURCES) | sed s:^:vms-empire-$(VERS)/: >MANIFEST

=== debian/changelog ===
empire (1.13-1) unstable; urgency=medium

  * Imported Upstream version 1.13.
  * Declare compliance with Debian Policy 3.9.6.
  * Use shorter Vcs-Browser URI.
  * Install renamed vms-empire icons and update menu and desktop files
    accordingly.
  * Install vms-empire.png to usr/share/icons/hicolor/48x48/apps.
  * Override dh_auto_install. Do not use upstream's install target but Debian's
    install file instead.
  * Install vms-empire.xml file to /usr/share/appdata.

 -- Markus Koschany <apo@gambaru.de>  Tue, 23 Dec 2014 15:23:50 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
  debhelper (>=9),
  imagemagick,
  libncurses5-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.catb.org/~esr/vms-empire/
 Vcs-Git: git://anonscm.debian.org/pkg-games/empire.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/empire.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-games/empire.git
 
 Package: empire
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,10 @@
 
 override_dh_auto_build:
 	$(MAKE) CFLAGS="$(CFLAGS)" PROFILE="$(LDFLAGS)"
-	convert -monitor -resize 32x32 empire-logo.png empire-logo.xpm
+	convert -monitor -resize 32x32 vms-empire.png vms-empire.xpm
+
+override_dh_auto_install:
+	# Do not use upstream's install target but Debian's install file instead.
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
@@ -18,4 +21,4 @@
 	dh_install
 
 override_dh_auto_clean:
-	$(RM) *.o empire empire-logo.xpm
+	$(RM) *.o empire vms-empire.xpm

## empire 1.14

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # See the file COPYING, distributed with empire, for restriction
 # and warranty information.
 
-VERS=1.13
+VERS=1.14
 
 # Use -g to compile the program for debugging.
 #DEBUG = -g -DDEBUG
@@ -128,3 +128,6 @@
 
 release: vms-empire-$(VERS).tar.gz vms-empire.html
 	shipper version=$(VERS) | sh -e -x
+
+refresh: vms-empire.html
+	shipper -N -w version=$(VERS) | sh -e -x

=== debian/changelog ===
empire (1.14-2) unstable; urgency=medium

  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.2.0.
  * Move the package to salsa.debian.org.
  * Fix FTCBFS: uses the build architecture compiler.
    Thanks to Helmut Grohne for the report and patch. (Closes: #900197)
  * Drop deprecated menu file and xpm icon.
  * Use https for Format field.

 -- Markus Koschany <apo@debian.org>  Wed, 15 Aug 2018 23:14:52 +0200

empire (1.14-1) unstable; urgency=medium

  * Imported Upstream version 1.14. (Closes: #809992)
  * Add get-orig-source target.
  * Vcs-Browser: Use https.
  * Update my e-mail address.

 -- Markus Koschany <apo@debian.org>  Tue, 05 Jan 2016 13:16:05 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,14 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
- Markus Koschany <apo@gambaru.de>
+ Markus Koschany <apo@debian.org>
 Build-Depends:
- debhelper (>=9),
- imagemagick,
+ debhelper (>= 11),
  libncurses5-dev
-Standards-Version: 3.9.6
+Standards-Version: 4.2.0
 Homepage: http://www.catb.org/~esr/vms-empire/
-Vcs-Git: git://anonscm.debian.org/pkg-games/empire.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-games/empire.git
+Vcs-Git: https://salsa.debian.org/games-team/empire.git
+Vcs-Browser: https://salsa.debian.org/games-team/empire
 
 Package: empire
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,10 @@
 LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_build:
-	$(MAKE) CFLAGS="$(CFLAGS)" PROFILE="$(LDFLAGS)"
-	convert -monitor -resize 32x32 vms-empire.png vms-empire.xpm
+	dh_auto_build -- CFLAGS="$(CFLAGS)" PROFILE="$(LDFLAGS)"
 
 override_dh_auto_install:
 	# Do not use upstream's install target but Debian's install file instead.
@@ -22,3 +21,6 @@
 
 override_dh_auto_clean:
 	$(RM) *.o empire vms-empire.xpm
+
+get-orig-source:
+	uscan --verbose --download-current-version --force-download

## empire 1.15

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # See the file COPYING, distributed with empire, for restriction
 # and warranty information.
 
-VERS=1.14
+VERS=1.15
 
 # Use -g to compile the program for debugging.
 #DEBUG = -g -DDEBUG

=== debian/changelog ===
empire (1.15-2) unstable; urgency=medium

  * Switch to debhelper-compat = 13.
  * Workaround FTBFS with GCC 10 by compiling with -fcommon. (Closes: #957172)

 -- Markus Koschany <apo@debian.org>  Fri, 29 May 2020 16:55:21 +0200

empire (1.15-1) unstable; urgency=medium

  * New upstream version 1.15.
  * Declare compliance with Debian Policy 4.5.0.
  * Switch to debhelper-compat = 12.

 -- Markus Koschany <apo@debian.org>  Sat, 01 Feb 2020 00:38:50 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders:
  Markus Koschany <apo@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 13),
  libncurses5-dev
-Standards-Version: 4.2.0
+Standards-Version: 4.5.0
 Homepage: http://www.catb.org/~esr/vms-empire/
 Vcs-Git: https://salsa.debian.org/games-team/empire.git
 Vcs-Browser: https://salsa.debian.org/games-team/empire

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
-CFLAGS   := $(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS) -Wno-format-security
+CFLAGS   := $(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS) -Wno-format-security -fcommon
 LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)
 
 %:
@@ -20,7 +20,5 @@
 	dh_install
 
 override_dh_auto_clean:
-	$(RM) *.o empire vms-empire.xpm
+	$(RM) *.o empire
 
-get-orig-source:
-	uscan --verbose --download-current-version --force-download

## empire 1.16

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # See the file COPYING, distributed with empire, for restriction
 # and warranty information.
 
-VERS=1.15
+VERS=1.16
 
 # Use -g to compile the program for debugging.
 #DEBUG = -g -DDEBUG

=== debian/changelog ===
empire (1.16-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.6.2.

 -- Markus Koschany <apo@debian.org>  Fri, 24 Feb 2023 22:51:13 +0100

empire (1.16-1) unstable; urgency=medium

  * New upstream version 1.16.
  * Declare compliance with Debian Policy 4.5.1.
  * No longer build with -fcommon. Fixed upstream.

 -- Markus Koschany <apo@debian.org>  Sat, 27 Feb 2021 22:49:20 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  libncurses5-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: http://www.catb.org/~esr/vms-empire/
 Vcs-Git: https://salsa.debian.org/games-team/empire.git
 Vcs-Browser: https://salsa.debian.org/games-team/empire

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
-CFLAGS   := $(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS) -Wno-format-security -fcommon
+CFLAGS   := $(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS) -Wno-format-security
 LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)
 
 %:

=== debian/watch ===
version=3
http://www.catb.org/~esr/vms-empire/vms-empire-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## empire 1.18

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,11 @@
 #
-#    Copyright (C) 1987, 1988 Chuck Simmons
+# SPDX-FileCopyrightText: Copyright (C) 1987, 1988 Chuck Simmons
+# SPDX-License-Identifier: GPL-2.0+
 #
 # See the file COPYING, distributed with empire, for restriction
 # and warranty information.
 
-VERS=1.16
+VERS=$(shell sed -n <NEWS '/^[0-9]/s/:.*//p' | head -1)
 
 # Use -g to compile the program for debugging.
 #DEBUG = -g -DDEBUG
@@ -87,9 +88,9 @@
 lint: $(FILES)
 	lint -u -D$(SYS) $(FILES) -lcurses
 
-# cppcheck should run clean
+# This should run clean
 cppcheck:
-	cppcheck --inline-suppr --suppress=unusedStructMember --suppress=unusedFunction  --template gcc --enable=all --force *.[ch]
+	@cppcheck --quiet --inline-suppr --suppress=missingIncludeSystem --suppress=unusedFunction --template gcc --enable=all --force *.[ch]
 
 install: empire.6 uninstall
 	install -m 0755 -d $(DESTDIR)/usr/bin
@@ -113,6 +114,9 @@
 	rm -f *.o TAGS vms-empire
 	rm -f *.6 *.html
 
+reflow:
+	@clang-format --style="{IndentWidth: 8, UseTab: ForIndentation}" -i $$(find . -name "*.[ch]")
+
 clobber: clean
 	rm -f vms-empire vms-empire-*.tar*

=== debian/changelog ===
empire (1.18-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 1.18

 -- Alexandre Detiste <tchet@debian.org>  Wed, 16 Oct 2024 13:57:25 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
  Markus Koschany <apo@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- libncurses5-dev
+ libncurses-dev,
+Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: http://www.catb.org/~esr/vms-empire/
 Vcs-Git: https://salsa.debian.org/games-team/empire.git

=== debian/rules ===
--- 
+++ 
@@ -21,4 +21,3 @@
 
 override_dh_auto_clean:
 	$(RM) *.o empire
-
